package com.zcloud.fire.check.service;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.api.FireCheckListItemServiceI;
import com.zcloud.fire.check.command.FireCheckListItemAddExe;
import com.zcloud.fire.check.command.FireCheckListItemRemoveExe;
import com.zcloud.fire.check.command.FireCheckListItemUpdateExe;
import com.zcloud.fire.check.command.query.FireCheckListItemQueryExe;
import com.zcloud.fire.check.dto.FireCheckListItemAddCmd;
import com.zcloud.fire.check.dto.FireCheckListItemPageQry;
import com.zcloud.fire.check.dto.FireCheckListItemUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckListItemCO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:29
 */
@Service
@AllArgsConstructor
public class FireCheckListItemServiceImpl implements FireCheckListItemServiceI {
    private final FireCheckListItemAddExe fireCheckListItemAddExe;
    private final FireCheckListItemUpdateExe fireCheckListItemUpdateExe;
    private final FireCheckListItemRemoveExe fireCheckListItemRemoveExe;
    private final FireCheckListItemQueryExe fireCheckListItemQueryExe;

    @Override
    public PageResponse<FireCheckListItemCO> listPage(FireCheckListItemPageQry qry) {

        return fireCheckListItemQueryExe.execute(qry);
    }

    @Override
    public SingleResponse add(FireCheckListItemAddCmd cmd) {

        fireCheckListItemAddExe.execute(cmd);
        return SingleResponse.buildSuccess();
    }

    @Override
    public void edit(FireCheckListItemUpdateCmd fireCheckListItemUpdateCmd) {
        fireCheckListItemUpdateExe.execute(fireCheckListItemUpdateCmd);
    }

    @Override
    public void remove(Long id) {
        fireCheckListItemRemoveExe.execute(id);
    }

    @Override
    public void removeBatch(Long[] ids) {
        fireCheckListItemRemoveExe.execute(ids);
    }
}

